#include "scene.h"
#include "triangle.h"
#include "tmesh.h"
#include "glext.h"

Scene *scene;

#include <iostream>

using namespace std;


Scene::Scene() {

  gui = new GUI();
  gui->show();

  int u0 = 20;
  int v0 = 50;
  int sci = 2;
  int w = sci*320;
  int h = sci*240;
  fb = new FrameBuffer(u0, v0, w, h);
  fb->label("SW framebuffer");
  fb->show();
  gui->uiw->position(fb->w+20+20, 50);

  Render();

}

void Scene::Render() {

  fb->Set(0xFF0000FF);
  fb->redraw();

}


void Scene::DBG() {

  {

    V3 v0(1.0f, 1.0f, 1.0f);
    V3 v1(2.0f, 2.0f, 2.0f);
    V3 v2;
    v2 = v0 + v1;
    v0[0] = 2.0f;
    cerr << "v0: " << v0 << endl;
    cerr << "v1: " << v1 << endl;
    cerr << "v2: " << v2 << endl;
    cerr << endl;

    M3x3 m;
    m[0] = v0;
    m[1] = v1;
    m[2] = v2;
    m[2][2] = 13.0f;
    cerr << m[0] << endl << m[1] << endl << m[2] << endl;


    return;

  }



}

